
QGIS Application - Bug report #16629

Crash when adding WFS layer

2017-05-27 12:34 PM - Wee Sritippho

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.18.8 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 24529

Description

Steps to reproduce:

1. Install QGIS from http://qgis.org/downloads/QGIS-OSGeo4W-2.18.8-1-Setup-x86_64.exe

2. Open QGIS Desktop 2.18.8

3. Select menu 'Layer > Add Layer > Add WFS Layer...'

4. Press 'New'

5. Enter these info, then press 'OK':

Name: GISTDA OWS

URL: http://ows.gistda.or.th/geoserver/fgds54_beta/ows?service=WFS

6. Press 'Connect'

7. Choose the layer where name is 'fgds54_beta:L05_GISTDA_Tambon_2012_50k

8. Press 'Add'

Result:

An alert with these info:

Crash dumped

minidump written to C:

\Users\myname\AppData\Local\Temp\qgis-20170527-172854-9352-6364-cde1d78.dmp

Download minidump:

https://app.box.com/s/xzo1odm9690ak3pibdjiy7o835gwmlen

Related issues:

Duplicates QGIS Application - Bug report # 16594: WFS crashing QGIS on 2.18.8 Closed 2017-05-22

History

#1 - 2017-05-27 12:38 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

Look for existing tickets (including closed ones) before filing new tickets please.   This is a duplicate of #16594

#2 - 2017-05-27 12:38 PM - Jürgen Fischer
- Duplicates Bug report #16594: WFS crashing QGIS on 2.18.8 added
